#pragma once


#include "sqlitecookiegetter.h"

#include "namespace_start.h"


class CFireFoxCookieGetter:public SQLiteCookieGetterT<CFireFoxCookieGetter>{
	friend Void UnitTest();
	
public:
	
	CFireFoxCookieGetter();


	Bool GetCookieInternal(const NString &domein,const NString &name,CCookie &cookie);


	static Bool Fancta(const Byte * data,ULong dataSize,const NString & domein,const NString &name,CCookie &cookie);

private:
	static NString CreateCookiePath();



};







#include "namespace_end.h"